"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Consumers = void 0;
const matomo_1 = require("./clients/matomo");
let matomoTracker;
exports.Consumers = {
    matomo: {
        init: () => {
            matomoTracker = new matomo_1.Matomo({
                MATOMO_SITE_ID: process.env.MATOMO_SITE_ID,
                MATOMO_SITE_URL: process.env.MATOMO_SITE_URL,
                MATOMO_SOURCE_URL: process.env.MATOMO_SOURCE_URL,
            });
        },
        test: () => true,
        identify: (userId, userProperties) => {
            matomoTracker.identify(userId, userProperties);
        },
        track: (eventName, eventProperties) => {
            matomoTracker.sendEvent(eventName, eventProperties);
        },
    },
};
//# sourceMappingURL=index.js.map